#include "mainwindow.h"
#include "version.h"
#include <QApplication>
#include <QCommandLineParser>

int main(int argc, char **argv) {
  QApplication app(argc, argv);
  app.setApplicationName(QIMV_NAME);
  app.setApplicationVersion(QIMV_VERSION);

  QCommandLineParser parser;
  parser.setApplicationDescription("Quick image viewer");
  parser.addHelpOption();
  parser.addVersionOption();
  parser.addPositionalArgument("path(s)", "Image(s) to show.");

  parser.process(app);

  MainWindow wnd(parser.positionalArguments());
  wnd.show();
  return app.exec();
}
