#include "scaleform.h"
#include "mainwindow.h"
#include "ui_scaleform.h"

ScaleForm::ScaleForm(MainWindow *parent)
    : QWidget(parent), ui(new Ui::ScaleForm) {
  ui->setupUi(this);

  connect(ui->ori_toolButton, &QToolButton::clicked, parent,
          [parent]() { parent->scale(1.0); });
  connect(ui->fit_toolButton, &QToolButton::clicked, parent, &MainWindow::fit);
  connect(ui->scale_slider, &QSlider::sliderMoved, parent, [parent](int value) {
    parent->scale(static_cast<double>(value) / 100.0);
  });
}

ScaleForm::~ScaleForm() { delete ui; }

void ScaleForm::setScale(int scale) {
  ui->scale_slider->setValue(scale);
  ui->scale_label->setText(scale_format.arg(scale));
}
